Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::reverse_view< Rng > Struct Template Reference
Views

## Public Member Functions
Rng | base () const
constexpr reverse_iterator< iterator_t< Rng > > | begin ()
template<bool Const = true>
constexpr reverse_iterator< iterator_t< meta::const_if_c< Const, Rng > > > | begin () const
constexpr reverse_iterator< iterator_t< Rng > > | end ()
template<bool Const = true>
constexpr reverse_iterator< iterator_t< meta::const_if_c< Const, Rng > > > | end () const
constexpr | reverse_view (Rng rng)
constexpr auto | size ()
constexpr auto | size () const

## Member Function Documentation

## ◆ begin()

template<typename Rng >
template<bool Const = true>

constexpr reverse_iterator<iterator_t<meta::const_if_c<Const, Rng> > > ranges::reverse_view< Rng >::begin | ( |  | ) | const
| constexpr

Precondition
  requires `Const && common_range<meta::const_if_c<Const, Rng>>`

## ◆ end()

template<typename Rng >
template<bool Const = true>

constexpr reverse_iterator<iterator_t<meta::const_if_c<Const, Rng> > > ranges::reverse_view< Rng >::end | ( |  | ) | const
| constexpr

Precondition
  requires `Const && common_range<meta::const_if_c<Const, Rng>>`

## ◆ size()

template<typename Rng >

constexpr auto ranges::reverse_view< Rng >::size | ( |  | ) |
| constexpr

Precondition
  requires `sized_range<Rng>`